/**
 * @file cmdexec.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 *    L I N    D M X    S E R V E R
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2014
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Executes an lindmxd command
**/
#ifndef CMDEXEC_H
#define CMDEXEC_H


#define CMDEXEC_FAILURE   0
#define CMDEXEC_SUCCESS   1
#define CMDEXEC_CLIQUIT   2


/* Initialize cmdexec. This will also initialize the interface module 
 * and the buffer, which is used to remind the channel values.
 */
int cmdexec_init(int, const char*, int, const char*, int);


/* This will deinit the interface and also the command interpreter */
void cmdexec_destroy();


/* Executes an command. The command has to end on \0, which must be ensured 
 * before! Do not call this function parallel - you shoud use a mutex before 
 * calling.
 */
int cmdexec_do(const char*, char*, int);


#endif /* CMDEXEC_H */
